Generate PerfectMind Login Session

Generates a PerfectMind login session using the provided LoginRadius access token. Returns a session ID and URL that can be used to authenticate the user into the PerfectMind platform.

GET
/sso/perfectmind/session

Generates a PerfectMind login session using the provided LoginRadius access token. Returns a session ID and URL that can be used to authenticate the user into the PerfectMind platform.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token*string

Access Token of the User

perfectmindsitename*string

PerfectMind site name identifier

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.hub.loginradius.com/sso/perfectmind/session?access_token=1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef&perfectmindsitename=mysite"
{
  "SessionId": "abc123-def456-ghi789",
  "URL": "https://mysite.perfectmind.com/session/abc123",
  "IsNewLink": true
}
{
  "Message": "string",
  "Description": "string",
  "ErrorCode": 0,
  "Code": 0
}
{
  "Message": "string",
  "Description": "string",
  "ErrorCode": 0,
  "Code": 0
}
{
  "Message": "string",
  "Description": "string",
  "ErrorCode": 0,
  "Code": 0
}